package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

/**
 * Created by seo-y on 2018/11/14.
 */

public class OperationTaskDto extends AbstractDto {
    public long operationId;
    public int pageNum;
    public String taskKey;
    public String taskCode;
    public int seqId;
    public Date insertDate;
    public Date updateDate;
    public float pdfX;
    public float pdfY;
    public boolean isFinished;

    @Override
    public Object[] getInsertValues() {
        return new Object[]{operationId, pageNum, taskKey, taskCode, pdfX, pdfY};
    }

    @Override
    public Object[] getUpdateValues() {
        return new Object[]{operationId, pageNum, taskKey, taskCode, pdfX, pdfY};
    }

    @Override
    public String[] getKeyValues() {
        return new String[]{""+ operationId, ""+ pageNum, ""+ taskKey, ""+ taskCode, ""+ pdfX, ""+ pdfY};
    }
}
